![github-interact-cli](https://i.imgur.com/m46Grpf.jpg)

<div align="center">
	<h1>⚡️ github-interact-cli<br>
	<img src="https://img.shields.io/badge/version-v2.2.9-green">
	<img src="https://img.shields.io/badge/license-MIT-green">
	</h1>
</div>

`github-interact-cli` lets you use GitHub right inside your terminal.

## 👉 Features

- 📦 Create a new repo
- ⚠️ Open issue in any repo.
- ✉️ Get public email of any GitHub user
- ⭐️Get stargazers of any GitHub repo

## 🎩 INSTALLATION

If you are windows user, run your command prompt/terminal as administrator. If you are macOS user, add `sudo` before the following command.

```
npm i -g github-interact-cli
```

<div align="center">
	<img src="https://i.imgur.com/ClFFvhH.gif">
</div>

## 🏗 SETUP

Type the following in the terminal to run the CLI.

```
github
```

CLI will start running. It will ask you to add a **Personal Access Token** & your **GitHub Username**. If you don't know what Personal Access Token is & how to create one, check this [awesome guide](https://help.github.com/en/github/authenticating-to-github/creating-a-personal-access-token-for-the-command-line) by GitHub.

`！Note:` Be sure to give the token _repo_ & _admin:repo_hook_ access.

<img src="https://i.imgur.com/El9gYcp.png">

Once you are done, exit the CLI so that configurations can be saved & used again.

<img src="https://i.imgur.com/fVdgewD.png">

`！ Note:` This is one time thing. You will not have to do it again every time you run the CLI.

### 📦 Create New Repo

Once you are done with the above setup, write the following in the terminal to run the CLI again.

```
github
```

You will get this menu. 🔥

<img src="https://i.imgur.com/z9I199e.png">

Enter `1` to Create a GitHub Repo. Then answer the next questions.

<img src="https://i.imgur.com/fpv4MBS.gif">

Taa daa! Your repo has been created. 🥂

### ⚠️ Open Issue

Type the following in the terminal to run the CLI.

```
github
```

You will get this menu. 🔥

<img src="https://i.imgur.com/z9I199e.png">

Enter `2` to Create a GitHub Repo. Then answer the next questions.

<img src="https://i.imgur.com/ZP6TzQc.png">

### ✉️ Get Public Email

Type the following in the terminal to run the CLI.

```
github
```

You will get this menu. 🔥

<img src="https://i.imgur.com/z9I199e.png">

Enter `3` to Create a GitHub Repo. Then answer the next questions.

<img src="https://i.imgur.com/ajXz5RE.png">

### ⭐️Get Stargazers

Type the following in the terminal to run the CLI.

```
github
```

You will get this menu. 🔥

<img src="https://i.imgur.com/z9I199e.png">

Enter `4` to Create a GitHub Repo. Then answer the next questions.

<img src="https://i.imgur.com/E70a4Xv.png">

## 🚀 FEATURE REQUEST

Use the [Issues](https://github.com/msaaddev/github-interact-cli/issues) section if you want to request any feature or report an issue.

## 🙌🏻 PROPS

- Header Image by [Iqra Fatima](https://github.com/iqrafatimame)

## 👨🏻‍💻 AUTHOR

🙋🏻‍♂️ Hola! I am Saad, an undergrad Computer Science student. Follow me at

- [Twitter](https://twitter.com/msaaddev)
- [Facebook](https://www.facebook.com/msaaddev)
- [Blog](https://msaad.dev)

## 🔑 LICENSE

- MIT
